* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root {
    --primary-color:#fcd506;
    --secondary-color:#e30c0b;
    --tertiary-color:#036cb6;
    --font-family:"lato",sans-serif;
}
.body {
    height: 100vh;
    overflow: hidden;
}
.page {
    position: relative;
    height: 100vh;
    width: 100%;
    font-family: var(--font-family);
    font-weight: 300;
}
.container {
    position: absolute;
    z-index: 1;

    display: grid;
    grid-template-columns: 55% 45%;
    grid-template-rows: 20% 50% 30%;
    grid-template-areas: "nav     aside"
                         "section aside"
                         "footer  aside";

    height: 100%;
    width: 100%;
}
.navbar {
    background: var(--primary-color);
    grid-area: nav;
    display: flex;
    border-radius: 0 0 60px 0;
}
.navbar__content {
    display: flex;
    align-items: center;
    width: 100%;
    padding:0 0 0 80px; /*arriba-dcha-abajo-izq*/

    animation: navbar 2s 0.5s ease-in-out;
}
@keyframes navbar {
    0% {
        transform: translateY(-200px);
    }
    100% {
        transform: translateY(0px);
    }
}
.navbar__content img {
    width: 50px;
    /* margin-right: 30px; */

}
.navbar__content ul{
    display: flex;
    justify-content: space-evenly;
    list-style: none;
    padding: 0;
    width: 450px;
}
.navbar__content ul li a {
    text-decoration: none;
    font-weight: 300;
    color: var(--secondary-color);
}
.main-content {
    grid-area: section;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 80px;

    animation: mainContent 2s 0.5s ease-in-out;
}
@keyframes mainContent {
    0% {
        transform: translateY(-600px);
    }
    100% {
        transform: translateY();
    }
}
.main-content p:first-child {
    font-size: 36px;
    font-weight: 300;
    margin: 0 0 -14px 40px;
}
.main-content h1 {
    font-size: 48px;
    font-weight: 700;
    margin: 0 0 28px 0;
}
.main-content p:last-child {
    font-weight: 100;
    width: 60%;
}
.side-content {
    display: grid;
    grid-area: aside;
    grid-template-columns: repeat(6, 1fr);
    align-items: center;
}
.side-content p {
    transform: rotate(-90deg);
    font-size: 36px;

    grid-row: 1 / 2;
    grid-column: 1 / 2;

    opacity: 0;
    animation-name:side-content-text;
    animation-duration: 0.5s;
    animation-delay: 2.5s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes side-content-text {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
.side-content img {
    width: 100%;
    grid-column: 2 / 6;
    grid-row:  1 / 2;
    z-index: 1;

    animation: side-content-img 2s ease-in-out 0.5s ;
}
@keyframes side-content-img {
    0% {
        transform: translateY(600px);
    }
    100% {
        transform: translateY(0px);
    }
}
.side-content div {
    background: var(--primary-color);
    grid-column: 4 / 7;
    grid-row: 1 / 2;
    height: 100%;

}
.footer {
    display: flex;
    justify-content: space-evenly;
    align-items: flex-end;
    background: var(--primary-color);
    border-radius: 0 60px 0 0;
    transform: translateY(100%);
    animation-name: footer;
    animation-duration: 0.5s;
    animation-delay: 2.5s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes footer {
    0% {

        transform: translateY(100%);
    }
    100% {
        transform: translateY(0);
    }
}
.footer div {
    background: var(--tertiary-color);
    width: 130px;
    height: 50%;
    border-radius: 30px 30px 0 0;
    display: flex;
    justify-content: center;
}
.footer div img {
    width: 160px;
    position: absolute;
    bottom: 30px;
    transform: translateY(0px) scale(1);
    transition: transform 0.5s ease-in-out;

}
.footer div:hover img {
   cursor: pointer;
   transform: translateY(-20px) scale(1.2);
    transition: transform 0.3s ease-in-out;

}
.loader {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background:whitesmoke;
    position: absolute;
    z-index: 3;
    animation: loader 2s linear forwards;
}

@keyframes loader {
    0% {
        opacity: 1;
        visibility: visible;
    }
    95% {
        opacity: 1;
        visibility: visible;
    }
    100% {
        opacity: 0;
        visibility: hidden;
    }
}
.loader div {
    background: var(--secondary-color);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin: 10px;
    transform: scale(0);
    animation: scaling 2s ease-in-out infinite;
}
.loader div:nth-child(1) {
    animation-delay:0.2s ;
}
.loader div:nth-child(2) {
    animation-delay:0.4s ;
}
.loader div:nth-child(3) {
    animation-delay:0.6s ;
}
@keyframes scaling {
    0% {
        transform: scale(0.2);
    }
    40% {
        transform: scale(1);
    }
    50% {
        transform: scale(1);
    }
    100% {
        transform: scale(0.2);
    }
}
.modal {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    position: absolute;
    z-index: 4;

    display: grid;
    place-items: center;
}
.modal__content {
    background: white;
    width: 30%;
    height: 40%;
    display: grid;
    place-items: center;
    grid-template-columns: 60px 1fr 60px;

}
.modal__content--close {
    grid-column: 3 / 4;
    cursor: pointer;
    transform: translatey(-12px);

}
.modal__content--slider {
    width: 300px;
    height: 200px;
    transform-style: preserve-3d;
    grid-column: 2 / 3;
    grid-row: 1 / 3;
}
.modal__content--btn {
    grid-column: 2 / 3;
    width: 150px;
    height: 50px;
    border: none;
    background: var(--secondary-color);
    color: white;
    font-size: 1rem;
    border-radius: 3px;
}
.cards {
    position: relative;
    width: 100%;
    height: 100%;
}
.cards label img {
    height: 170px;
    width: 150px;
}
.card {
    width: 50%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    margin: 0 auto;
    transition: transform 0.5s ease;
    cursor: pointer;
    display: grid;
    place-items: center;
    background: var(--primary-color);
}

/*Lógica para el carrusel*/
input {
    display: none;
}

#radio-1:checked ~ .cards #card-1,
#radio-2:checked ~ .cards #card-2,
#radio-3:checked ~ .cards #card-3 {
    transform: translateX(0) scale(1);
    opacity: 1;
    z-index: 1;
}
#radio-1:checked ~ .cards #card-2,
#radio-2:checked ~ .cards #card-3,
#radio-3:checked ~ .cards #card-1 {
    transform: translateX(40%) scale(0.8);
    opacity: 0.5;
    z-index: 0;
}
#radio-1:checked ~ .cards #card-3,
#radio-2:checked ~ .cards #card-1,
#radio-3:checked ~ .cards #card-2 {
    transform: translateX(-40%) scale(0.8);
    opacity: 0.5;
    z-index: 0;
}
.hidden {
    display: none;
}
.visible {
    display: grid;

}